--- kqemu-freebsd.c.orig	2014-02-06 16:03:15.881335406 +0200
+++ kqemu-freebsd.c	2014-02-06 16:04:25.951329106 +0200
@@ -109,7 +109,12 @@
     vm_offset_t va;
     vm_paddr_t pa;
 
+#if __FreeBSD_version >= 1000030
+    va = kmem_malloc(kernel_map, PAGE_SIZE, M_WAITOK);
+#else
     va = kmem_alloc(kernel_map, PAGE_SIZE);
+#endif
+
     if (va == 0) {
 	kqemu_log("kqemu_alloc_zeroed_page: NULL\n");
 	return NULL;
